# Interface IPlanResponse

Describes the plan of execution of a search request.

## Index

### Properties

- parsedInput
- preprocessingOutput

## Properties

### parsedInput

parsedInput: object

- Defined in rest/Plan.ts :22

The query expressions that would be sent to the index once the search request has been fully processed by the query pipeline.

#### Type declaration

- ##### basicExpression: string

  The final basic query expression (`q`).

- ##### largeExpression: string

  The final large query expression (`lq`).

### preprocessingOutput

preprocessingOutput: object

- Defined in rest/Plan.ts :11

The output that would be included by the Search API in the query response once the search request has been fully processed by the query pipeline.

#### Type declaration

- ##### triggers: ITrigger<any>[]

  The query response output generated by trigger rules in the query pipeline (i.e., by `execute`, `notify`, `query`, and `redirect` rules).

### Hierarchy

- IPlanResponse